Skip to main content
Recently Deleted/Recently Deleted

ListAssets

List all assets with optional filters for type, status, and tags.

GET/api/v1/assets

Operation ID

ListAssets

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • type
    String

    Filter by asset type (e.g. vm, host, volume); empty returns all types Filter by asset type (e.g. vm, host, volume); empty returns all types

  • status
    String

    Filter by asset status (e.g. Running, Stopped); empty returns all statuses Filter by asset status (e.g. Running, Stopped); empty returns all statuses

  • tagKey
    String

    Filter by a specific tag key Filter by a specific tag key

  • tagValue
    String

    Filter by a specific tag value matching the given tag key Filter by a specific tag value matching the given tag key

  • platformUuid
    String

    Filter by platform UUID; empty returns assets from all platforms Filter by platform UUID; empty returns assets from all platforms

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • data
    Object

    The data value

    Example: (nested object)

  • Change Time

    AddedRequest parameters platformType, platformUuid, search
    View API